org.eclipse.wst.jsdt.core

## Interface IImportContainer

All Superinterfaces:
  IJavaScriptElement, ILookupScope, IParent, ISourceReference

    public interface IImportContainer
    extends IJavaScriptElement, IParent, ISourceReference

Represents an import container is a child of a JavaScript unit that contains all (and only) the import declarations. If a JavaScript unit has no import declarations, no import container will be present.

This interface is not intended to be implemented by clients.

This Interface only applies to ECMAScript 4 which is not yet supported Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

### Fields inherited from interface org.eclipse.wst.jsdt.core.IJavaScriptElement

`CLASS_FILE, EXPORT_CONTAINER, EXPORT_DECLARATION, FIELD, IMPORT_CONTAINER, IMPORT_DECLARATION, INITIALIZER, JAVASCRIPT_MODEL, JAVASCRIPT_PROJECT, JAVASCRIPT_UNIT, LOCAL_VARIABLE, METHOD, PACKAGE_FRAGMENT, PACKAGE_FRAGMENT_ROOT, TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`IImportDeclaration` `getImport(java.lang.String name)` Returns the first import declaration in this import container with the given name.

### Methods inherited from interface org.eclipse.wst.jsdt.core.IJavaScriptElement

`exists, getAncestor, getAttachedJavadoc, getCommonSuperType, getCorrespondingResource, getDisplayName, getElementName, getElementType, getHandleIdentifier, getHostPath, getJavaScriptModel, getJavaScriptProject, getOpenable, getParent, getPath, getPrimaryElement, getResource, getSchedulingRule, getUnderlyingResource, isReadOnly, isStructureKnown, isVirtual`

### Methods inherited from interface org.eclipse.wst.jsdt.core.ILookupScope

`newNameLookup, newNameLookup, newSearchableNameEnvironment, newSearchableNameEnvironment`

### Methods inherited from interface org.eclipse.wst.jsdt.core.IParent

`getChildren, hasChildren`

### Methods inherited from interface org.eclipse.wst.jsdt.core.ISourceReference

`exists, getSource, getSourceRange`

### Method Detail

#### getImport

    IImportDeclaration getImport(java.lang.String name)

Returns the first import declaration in this import container with the given name. This is a handle-only method. The import declaration may or may not exist.

Parameters:
  `name` - the given name
Returns:
  the first import declaration in this import container with the given name